Subject: bug#38181: Actual height of mode-line not taken into account

From: martin rudalics <[email-masked]>
Date: Mon, 18 Nov 2019 10:45:13 +0100

>>   > Mmm... actually, it could be that we cannot resize windows during
 >>   > redisplay at all.  See, for example, how resize_mini_window does its
 >>   > tricky job.  We may need to call this outside of redisplay.
 >>
 >> Inherently, resize_mini_window does what 'fit-window-to-buffer' does
 >> and it gets called from redisplay_internal.
 >
 > And it immediately returns if that happens while redisplaying a
 > window.

But IIUC in neither of our proposals we would have done that.  I'd
even say that we should resize windows when redisplay finds out that
the mode line height has been increased and would obscure the window
above, not leave at least one line of its window's text visible (see
the example in my other mail), ...

martin